# Class HiddenAccess

java.lang.Object
net.sf.robocode.security.HiddenAccess

public class HiddenAccess extends Object
Helpers for accessing hidden methods on events.

Author:
  Pavel Savara (original)

## Constructor Summary

Constructors
Constructor
Description
`HiddenAccess()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`cleanup()`
`static BattleRules`
`createRules(int battlefieldWidth, int battlefieldHeight, int numRounds, double gunCoolingRate, long inactivityTime, boolean hideEnemyNames, int sentryBorderSize)`
`static RobotSpecification`
`createSpecification(Object fileSpecification, String name, String author, String webpage, String version, String robocodeVersion, String jarFile, String fullClassName, String description)`
`static RobotStatus`
`createStatus(double energy, double x, double y, double bodyHeading, double gunHeading, double radarHeading, double velocity, double bodyTurnRemaining, double radarTurnRemaining, double gunTurnRemaining, double distanceRemaining, double gunHeat, int others, int numSentries, int roundNum, int numRounds, long time)`
`static void`
`dispatch(Event event, IBasicRobot robot, IRobotStatics statics, Graphics2D graphics)`
`static Object`
`getFileSpecification(RobotSpecification specification)`
`static String`
`getRobotTeamName(RobotSpecification specification)`
`static byte`
`getSerializationType(Event e)`
`static void`
`init()`
`static void`
`initContainer()`
`static void`
`initContainerForRobotEngine(File robocodeHome, IBattleListener listener)`
`static boolean`
`isCriticalEvent(Event e)`
`static boolean`
`isSafeThread()`
`static void`
`robocodeMain(String[] args)`
`static void`
`setDefaultPriority(Event e)`
`static void`
`setEventPriority(Event e, int newPriority)`
`static void`
`setEventTime(Event e, long newTime)`
`static void`
`setTeamName(RobotSpecification specification, String teamName)`
`static void`
`update(Bullet bullet, double x, double y, String victimName, boolean isActive)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HiddenAccess

public HiddenAccess()

## Method Details

### init

public static void init()

### isCriticalEvent

public static boolean isCriticalEvent(Event e)

### setEventTime

public static void setEventTime(Event e, long newTime)

### setEventPriority

public static void setEventPriority(Event e, int newPriority)

### dispatch

public static void dispatch(Event event, IBasicRobot robot, IRobotStatics statics, Graphics2D graphics)

### setDefaultPriority

public static void setDefaultPriority(Event e)

### getSerializationType

public static byte getSerializationType(Event e)

### update

public static void update(Bullet bullet, double x, double y, String victimName, boolean isActive)

### createSpecification

public static RobotSpecification createSpecification(Object fileSpecification, String name, String author, String webpage, String version, String robocodeVersion, String jarFile, String fullClassName, String description)

### getFileSpecification

public static Object getFileSpecification(RobotSpecification specification)

### getRobotTeamName

public static String getRobotTeamName(RobotSpecification specification)

### setTeamName

public static void setTeamName(RobotSpecification specification, String teamName)

### createStatus

public static RobotStatus createStatus(double energy, double x, double y, double bodyHeading, double gunHeading, double radarHeading, double velocity, double bodyTurnRemaining, double radarTurnRemaining, double gunTurnRemaining, double distanceRemaining, double gunHeat, int others, int numSentries, int roundNum, int numRounds, long time)

### createRules

public static BattleRules createRules(int battlefieldWidth, int battlefieldHeight, int numRounds, double gunCoolingRate, long inactivityTime, boolean hideEnemyNames, int sentryBorderSize)

### isSafeThread

public static boolean isSafeThread()

### initContainerForRobotEngine

public static void initContainerForRobotEngine(File robocodeHome, IBattleListener listener)

### initContainer

public static void initContainer()

### cleanup

public static void cleanup()

### robocodeMain

public static void robocodeMain(String[] args)